### Method

# AppStream Component add_provided

since: 0.6.2

#### Declaration [src]

    void
    as_component_add_provided (
      AsComponent* cpt,
      AsProvided* prov
    )

#### Description [src]

Add a set of provided items to this component.

Available since: 0.6.2

#### Parameters

`prov`

  Type: `AsProvided`

  A `AsProvided` instance.

  The data is owned by the caller of the method.